Viewing docs for powerscale 1.8.1
published on Wednesday, Apr 1, 2026 by dell
published on Wednesday, Apr 1, 2026 by dell
Viewing docs for powerscale 1.8.1
published on Wednesday, Apr 1, 2026 by dell
published on Wednesday, Apr 1, 2026 by dell
This datasource is used to query the existing network pools from PowerScale array. The information fetched from this datasource can be used for getting the details or for further processing in resource block. You can add network interfaces to network pools to associate address ranges with a node or a group of nodes.
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as powerscale from "@pulumi/powerscale";
//Copyright (c) 2023-2024 Dell Inc., or its subsidiaries. All Rights Reserved.
//
//Licensed under the Mozilla Public License Version 2.0 (the "License");
//you may not use this file except in compliance with the License.
//You may obtain a copy of the License at
//
// http://mozilla.org/MPL/2.0/
//
//
//Unless required by applicable law or agreed to in writing, software
//distributed under the License is distributed on an "AS IS" BASIS,
//WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//See the License for the specific language governing permissions and
//limitations under the License.
// This Terraform DataSource is used to query the details of existing network pools from PowerScale array.
// Returns a list of PowerScale network pools based on names and query parameters specified in the filter block.
const test = powerscale.getNetworkpool({
filter: {
names: ["pool0"],
},
});
export const powerscaleNetworkpool = test;
// Returns all PowerScale network pools on PowerScale array
const all = powerscale.getNetworkpool({});
export const powerscaleNetworkpoolDataAll = all;
import pulumi
import pulumi_powerscale as powerscale
#Copyright (c) 2023-2024 Dell Inc., or its subsidiaries. All Rights Reserved.
#
#Licensed under the Mozilla Public License Version 2.0 (the "License");
#you may not use this file except in compliance with the License.
#You may obtain a copy of the License at
#
# http://mozilla.org/MPL/2.0/
#
#
#Unless required by applicable law or agreed to in writing, software
#distributed under the License is distributed on an "AS IS" BASIS,
#WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#See the License for the specific language governing permissions and
#limitations under the License.
# This Terraform DataSource is used to query the details of existing network pools from PowerScale array.
# Returns a list of PowerScale network pools based on names and query parameters specified in the filter block.
test = powerscale.get_networkpool(filter={
"names": ["pool0"],
})
pulumi.export("powerscaleNetworkpool", test)
# Returns all PowerScale network pools on PowerScale array
all = powerscale.get_networkpool()
pulumi.export("powerscaleNetworkpoolDataAll", all)
package main
import (
"github.com/pulumi/pulumi-terraform-provider/sdks/go/powerscale/powerscale"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
// Copyright (c) 2023-2024 Dell Inc., or its subsidiaries. All Rights Reserved.
//
// Licensed under the Mozilla Public License Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
// http://mozilla.org/MPL/2.0/
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
// This Terraform DataSource is used to query the details of existing network pools from PowerScale array.
// Returns a list of PowerScale network pools based on names and query parameters specified in the filter block.
test, err := powerscale.LookupNetworkpool(ctx, &powerscale.LookupNetworkpoolArgs{
Filter: powerscale.GetNetworkpoolFilter{
Names: []string{
"pool0",
},
},
}, nil)
if err != nil {
return err
}
ctx.Export("powerscaleNetworkpool", test)
// Returns all PowerScale network pools on PowerScale array
all, err := powerscale.LookupNetworkpool(ctx, &powerscale.LookupNetworkpoolArgs{}, nil)
if err != nil {
return err
}
ctx.Export("powerscaleNetworkpoolDataAll", all)
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Powerscale = Pulumi.Powerscale;
return await Deployment.RunAsync(() =>
{
//Copyright (c) 2023-2024 Dell Inc., or its subsidiaries. All Rights Reserved.
//
//Licensed under the Mozilla Public License Version 2.0 (the "License");
//you may not use this file except in compliance with the License.
//You may obtain a copy of the License at
//
// http://mozilla.org/MPL/2.0/
//
//
//Unless required by applicable law or agreed to in writing, software
//distributed under the License is distributed on an "AS IS" BASIS,
//WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//See the License for the specific language governing permissions and
//limitations under the License.
// This Terraform DataSource is used to query the details of existing network pools from PowerScale array.
// Returns a list of PowerScale network pools based on names and query parameters specified in the filter block.
var test = Powerscale.GetNetworkpool.Invoke(new()
{
Filter = new Powerscale.Inputs.GetNetworkpoolFilterInputArgs
{
Names = new[]
{
"pool0",
},
},
});
// Returns all PowerScale network pools on PowerScale array
var all = Powerscale.GetNetworkpool.Invoke();
return new Dictionary<string, object?>
{
["powerscaleNetworkpool"] = test,
["powerscaleNetworkpoolDataAll"] = all,
};
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.powerscale.PowerscaleFunctions;
import com.pulumi.powerscale.inputs.GetNetworkpoolArgs;
import com.pulumi.powerscale.inputs.GetNetworkpoolFilterArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
//Copyright (c) 2023-2024 Dell Inc., or its subsidiaries. All Rights Reserved.
//
//Licensed under the Mozilla Public License Version 2.0 (the "License");
//you may not use this file except in compliance with the License.
//You may obtain a copy of the License at
//
// http://mozilla.org/MPL/2.0/
//
//
//Unless required by applicable law or agreed to in writing, software
//distributed under the License is distributed on an "AS IS" BASIS,
//WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//See the License for the specific language governing permissions and
//limitations under the License.
// This Terraform DataSource is used to query the details of existing network pools from PowerScale array.
// Returns a list of PowerScale network pools based on names and query parameters specified in the filter block.
final var test = PowerscaleFunctions.getNetworkpool(GetNetworkpoolArgs.builder()
.filter(GetNetworkpoolFilterArgs.builder()
.names("pool0")
.build())
.build());
ctx.export("powerscaleNetworkpool", test);
// Returns all PowerScale network pools on PowerScale array
final var all = PowerscaleFunctions.getNetworkpool(GetNetworkpoolArgs.builder()
.build());
ctx.export("powerscaleNetworkpoolDataAll", all);
}
}
variables:
# /*
# Copyright (c) 2023-2024 Dell Inc., or its subsidiaries. All Rights Reserved.
# Licensed under the Mozilla Public License Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# http://mozilla.org/MPL/2.0/
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
# */
# This Terraform DataSource is used to query the details of existing network pools from PowerScale array.
# Returns a list of PowerScale network pools based on names and query parameters specified in the filter block.
test:
fn::invoke:
function: powerscale:getNetworkpool
arguments:
filter:
names:
- pool0
# Returns all PowerScale network pools on PowerScale array
all:
fn::invoke:
function: powerscale:getNetworkpool
arguments: {}
outputs:
# Output value of above block by executing 'terraform output' command
# You can use the the fetched information by the variable data.powerscale_networkpool.test
powerscaleNetworkpool: ${test}
# Output value of above block by executing 'terraform output' command
# You can use the the fetched information by the variable data.powerscale_networkpool.all
powerscaleNetworkpoolDataAll: ${all}
Using getNetworkpool
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getNetworkpool(args: GetNetworkpoolArgs, opts?: InvokeOptions): Promise<GetNetworkpoolResult>
function getNetworkpoolOutput(args: GetNetworkpoolOutputArgs, opts?: InvokeOptions): Output<GetNetworkpoolResult>def get_networkpool(filter: Optional[GetNetworkpoolFilter] = None,
opts: Optional[InvokeOptions] = None) -> GetNetworkpoolResult
def get_networkpool_output(filter: pulumi.Input[Optional[GetNetworkpoolFilterArgs]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetNetworkpoolResult]func LookupNetworkpool(ctx *Context, args *LookupNetworkpoolArgs, opts ...InvokeOption) (*LookupNetworkpoolResult, error)
func LookupNetworkpoolOutput(ctx *Context, args *LookupNetworkpoolOutputArgs, opts ...InvokeOption) LookupNetworkpoolResultOutput> Note: This function is named LookupNetworkpool in the Go SDK.
public static class GetNetworkpool
{
public static Task<GetNetworkpoolResult> InvokeAsync(GetNetworkpoolArgs args, InvokeOptions? opts = null)
public static Output<GetNetworkpoolResult> Invoke(GetNetworkpoolInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetNetworkpoolResult> getNetworkpool(GetNetworkpoolArgs args, InvokeOptions options)
public static Output<GetNetworkpoolResult> getNetworkpool(GetNetworkpoolArgs args, InvokeOptions options)
fn::invoke:
function: powerscale:index/getNetworkpool:getNetworkpool
arguments:
# arguments dictionaryThe following arguments are supported:
getNetworkpool Result
The following output properties are available:
- Id string
- Unique identifier of the network pool instance.
- Network
Pools List<GetDetails Networkpool Network Pools Detail> - List of Network Pools.
- Filter
Get
Networkpool Filter
- Id string
- Unique identifier of the network pool instance.
- Network
Pools []GetDetails Networkpool Network Pools Detail - List of Network Pools.
- Filter
Get
Networkpool Filter
- id String
- Unique identifier of the network pool instance.
- network
Pools List<GetDetails Networkpool Network Pools Detail> - List of Network Pools.
- filter
Get
Networkpool Filter
- id string
- Unique identifier of the network pool instance.
- network
Pools GetDetails Networkpool Network Pools Detail[] - List of Network Pools.
- filter
Get
Networkpool Filter
- id str
- Unique identifier of the network pool instance.
- network_
pools_ Sequence[Getdetails Networkpool Network Pools Detail] - List of Network Pools.
- filter
Get
Networkpool Filter
- id String
- Unique identifier of the network pool instance.
- network
Pools List<Property Map>Details - List of Network Pools.
- filter Property Map
Supporting Types
GetNetworkpoolFilter
- Access
Zone string - If specified, only pools with this zone name will be returned.
- Alloc
Method string - If specified, only pools with this allocation type will be returned.
- Groupnet string
- If specified, only pools for this groupnet will be returned.
- Names List<string>
- Filter network pools by names.
- Subnet string
- If specified, only pools for this subnet will be returned.
- Access
Zone string - If specified, only pools with this zone name will be returned.
- Alloc
Method string - If specified, only pools with this allocation type will be returned.
- Groupnet string
- If specified, only pools for this groupnet will be returned.
- Names []string
- Filter network pools by names.
- Subnet string
- If specified, only pools for this subnet will be returned.
- access
Zone String - If specified, only pools with this zone name will be returned.
- alloc
Method String - If specified, only pools with this allocation type will be returned.
- groupnet String
- If specified, only pools for this groupnet will be returned.
- names List<String>
- Filter network pools by names.
- subnet String
- If specified, only pools for this subnet will be returned.
- access
Zone string - If specified, only pools with this zone name will be returned.
- alloc
Method string - If specified, only pools with this allocation type will be returned.
- groupnet string
- If specified, only pools for this groupnet will be returned.
- names string[]
- Filter network pools by names.
- subnet string
- If specified, only pools for this subnet will be returned.
- access_
zone str - If specified, only pools with this zone name will be returned.
- alloc_
method str - If specified, only pools with this allocation type will be returned.
- groupnet str
- If specified, only pools for this groupnet will be returned.
- names Sequence[str]
- Filter network pools by names.
- subnet str
- If specified, only pools for this subnet will be returned.
- access
Zone String - If specified, only pools with this zone name will be returned.
- alloc
Method String - If specified, only pools with this allocation type will be returned.
- groupnet String
- If specified, only pools for this groupnet will be returned.
- names List<String>
- Filter network pools by names.
- subnet String
- If specified, only pools for this subnet will be returned.
GetNetworkpoolNetworkPoolsDetail
- Access
Zone string - Name of a valid access zone to map IP address pool to the zone.
- Addr
Family string - IP address format.
- Aggregation
Mode string - OneFS supports the following NIC aggregation modes.
- Alloc
Method string - Specifies how IP address allocation is done among pool members.
- Description string
- A description of the pool.
- Groupnet string
- Name of the groupnet this pool belongs to.
- Id string
- Unique Pool ID.
- Ifaces
List<Get
Networkpool Network Pools Detail Iface> - List of interface members in this pool.
- Name string
- The name of the pool. It must be unique throughout the given subnet.It's a required field with POST method.
- Nfsv3Rroce
Only bool - Indicates that pool contains only RDMA RRoCE capable interfaces.
- Ranges
List<Get
Networkpool Network Pools Detail Range> - List of IP address ranges in this pool.
- Rebalance
Policy string - Rebalance policy..
- Rules List<string>
- Names of the rules in this pool.
- Sc
Auto doubleUnsuspend Delay - Time delay in seconds before a node which has been automatically unsuspended becomes usable in SmartConnect responses for pool zones.
- Sc
Connect stringPolicy - SmartConnect client connection balancing policy.
- Sc
Dns stringZone - SmartConnect zone name for the pool.
- Sc
Dns List<string>Zone Aliases - List of SmartConnect zone aliases (DNS names) to the pool.
- Sc
Failover stringPolicy - SmartConnect IP failover policy.
- Sc
Subnet string - Name of SmartConnect service subnet for this pool.
- Sc
Suspended List<double>Nodes - List of LNNs showing currently suspended nodes in SmartConnect.
- Sc
Ttl double - Time to live value for SmartConnect DNS query responses in seconds.
- Static
Routes List<GetNetworkpool Network Pools Detail Static Route> - List of interface members in this pool.
- Subnet string
- The name of the subnet.
- Access
Zone string - Name of a valid access zone to map IP address pool to the zone.
- Addr
Family string - IP address format.
- Aggregation
Mode string - OneFS supports the following NIC aggregation modes.
- Alloc
Method string - Specifies how IP address allocation is done among pool members.
- Description string
- A description of the pool.
- Groupnet string
- Name of the groupnet this pool belongs to.
- Id string
- Unique Pool ID.
- Ifaces
[]Get
Networkpool Network Pools Detail Iface - List of interface members in this pool.
- Name string
- The name of the pool. It must be unique throughout the given subnet.It's a required field with POST method.
- Nfsv3Rroce
Only bool - Indicates that pool contains only RDMA RRoCE capable interfaces.
- Ranges
[]Get
Networkpool Network Pools Detail Range - List of IP address ranges in this pool.
- Rebalance
Policy string - Rebalance policy..
- Rules []string
- Names of the rules in this pool.
- Sc
Auto float64Unsuspend Delay - Time delay in seconds before a node which has been automatically unsuspended becomes usable in SmartConnect responses for pool zones.
- Sc
Connect stringPolicy - SmartConnect client connection balancing policy.
- Sc
Dns stringZone - SmartConnect zone name for the pool.
- Sc
Dns []stringZone Aliases - List of SmartConnect zone aliases (DNS names) to the pool.
- Sc
Failover stringPolicy - SmartConnect IP failover policy.
- Sc
Subnet string - Name of SmartConnect service subnet for this pool.
- Sc
Suspended []float64Nodes - List of LNNs showing currently suspended nodes in SmartConnect.
- Sc
Ttl float64 - Time to live value for SmartConnect DNS query responses in seconds.
- Static
Routes []GetNetworkpool Network Pools Detail Static Route - List of interface members in this pool.
- Subnet string
- The name of the subnet.
- access
Zone String - Name of a valid access zone to map IP address pool to the zone.
- addr
Family String - IP address format.
- aggregation
Mode String - OneFS supports the following NIC aggregation modes.
- alloc
Method String - Specifies how IP address allocation is done among pool members.
- description String
- A description of the pool.
- groupnet String
- Name of the groupnet this pool belongs to.
- id String
- Unique Pool ID.
- ifaces
List<Get
Networkpool Network Pools Detail Iface> - List of interface members in this pool.
- name String
- The name of the pool. It must be unique throughout the given subnet.It's a required field with POST method.
- nfsv3Rroce
Only Boolean - Indicates that pool contains only RDMA RRoCE capable interfaces.
- ranges
List<Get
Networkpool Network Pools Detail Range> - List of IP address ranges in this pool.
- rebalance
Policy String - Rebalance policy..
- rules List<String>
- Names of the rules in this pool.
- sc
Auto DoubleUnsuspend Delay - Time delay in seconds before a node which has been automatically unsuspended becomes usable in SmartConnect responses for pool zones.
- sc
Connect StringPolicy - SmartConnect client connection balancing policy.
- sc
Dns StringZone - SmartConnect zone name for the pool.
- sc
Dns List<String>Zone Aliases - List of SmartConnect zone aliases (DNS names) to the pool.
- sc
Failover StringPolicy - SmartConnect IP failover policy.
- sc
Subnet String - Name of SmartConnect service subnet for this pool.
- sc
Suspended List<Double>Nodes - List of LNNs showing currently suspended nodes in SmartConnect.
- sc
Ttl Double - Time to live value for SmartConnect DNS query responses in seconds.
- static
Routes List<GetNetworkpool Network Pools Detail Static Route> - List of interface members in this pool.
- subnet String
- The name of the subnet.
- access
Zone string - Name of a valid access zone to map IP address pool to the zone.
- addr
Family string - IP address format.
- aggregation
Mode string - OneFS supports the following NIC aggregation modes.
- alloc
Method string - Specifies how IP address allocation is done among pool members.
- description string
- A description of the pool.
- groupnet string
- Name of the groupnet this pool belongs to.
- id string
- Unique Pool ID.
- ifaces
Get
Networkpool Network Pools Detail Iface[] - List of interface members in this pool.
- name string
- The name of the pool. It must be unique throughout the given subnet.It's a required field with POST method.
- nfsv3Rroce
Only boolean - Indicates that pool contains only RDMA RRoCE capable interfaces.
- ranges
Get
Networkpool Network Pools Detail Range[] - List of IP address ranges in this pool.
- rebalance
Policy string - Rebalance policy..
- rules string[]
- Names of the rules in this pool.
- sc
Auto numberUnsuspend Delay - Time delay in seconds before a node which has been automatically unsuspended becomes usable in SmartConnect responses for pool zones.
- sc
Connect stringPolicy - SmartConnect client connection balancing policy.
- sc
Dns stringZone - SmartConnect zone name for the pool.
- sc
Dns string[]Zone Aliases - List of SmartConnect zone aliases (DNS names) to the pool.
- sc
Failover stringPolicy - SmartConnect IP failover policy.
- sc
Subnet string - Name of SmartConnect service subnet for this pool.
- sc
Suspended number[]Nodes - List of LNNs showing currently suspended nodes in SmartConnect.
- sc
Ttl number - Time to live value for SmartConnect DNS query responses in seconds.
- static
Routes GetNetworkpool Network Pools Detail Static Route[] - List of interface members in this pool.
- subnet string
- The name of the subnet.
- access_
zone str - Name of a valid access zone to map IP address pool to the zone.
- addr_
family str - IP address format.
- aggregation_
mode str - OneFS supports the following NIC aggregation modes.
- alloc_
method str - Specifies how IP address allocation is done among pool members.
- description str
- A description of the pool.
- groupnet str
- Name of the groupnet this pool belongs to.
- id str
- Unique Pool ID.
- ifaces
Sequence[Get
Networkpool Network Pools Detail Iface] - List of interface members in this pool.
- name str
- The name of the pool. It must be unique throughout the given subnet.It's a required field with POST method.
- nfsv3_
rroce_ boolonly - Indicates that pool contains only RDMA RRoCE capable interfaces.
- ranges
Sequence[Get
Networkpool Network Pools Detail Range] - List of IP address ranges in this pool.
- rebalance_
policy str - Rebalance policy..
- rules Sequence[str]
- Names of the rules in this pool.
- sc_
auto_ floatunsuspend_ delay - Time delay in seconds before a node which has been automatically unsuspended becomes usable in SmartConnect responses for pool zones.
- sc_
connect_ strpolicy - SmartConnect client connection balancing policy.
- sc_
dns_ strzone - SmartConnect zone name for the pool.
- sc_
dns_ Sequence[str]zone_ aliases - List of SmartConnect zone aliases (DNS names) to the pool.
- sc_
failover_ strpolicy - SmartConnect IP failover policy.
- sc_
subnet str - Name of SmartConnect service subnet for this pool.
- sc_
suspended_ Sequence[float]nodes - List of LNNs showing currently suspended nodes in SmartConnect.
- sc_
ttl float - Time to live value for SmartConnect DNS query responses in seconds.
- static_
routes Sequence[GetNetworkpool Network Pools Detail Static Route] - List of interface members in this pool.
- subnet str
- The name of the subnet.
- access
Zone String - Name of a valid access zone to map IP address pool to the zone.
- addr
Family String - IP address format.
- aggregation
Mode String - OneFS supports the following NIC aggregation modes.
- alloc
Method String - Specifies how IP address allocation is done among pool members.
- description String
- A description of the pool.
- groupnet String
- Name of the groupnet this pool belongs to.
- id String
- Unique Pool ID.
- ifaces List<Property Map>
- List of interface members in this pool.
- name String
- The name of the pool. It must be unique throughout the given subnet.It's a required field with POST method.
- nfsv3Rroce
Only Boolean - Indicates that pool contains only RDMA RRoCE capable interfaces.
- ranges List<Property Map>
- List of IP address ranges in this pool.
- rebalance
Policy String - Rebalance policy..
- rules List<String>
- Names of the rules in this pool.
- sc
Auto NumberUnsuspend Delay - Time delay in seconds before a node which has been automatically unsuspended becomes usable in SmartConnect responses for pool zones.
- sc
Connect StringPolicy - SmartConnect client connection balancing policy.
- sc
Dns StringZone - SmartConnect zone name for the pool.
- sc
Dns List<String>Zone Aliases - List of SmartConnect zone aliases (DNS names) to the pool.
- sc
Failover StringPolicy - SmartConnect IP failover policy.
- sc
Subnet String - Name of SmartConnect service subnet for this pool.
- sc
Suspended List<Number>Nodes - List of LNNs showing currently suspended nodes in SmartConnect.
- sc
Ttl Number - Time to live value for SmartConnect DNS query responses in seconds.
- static
Routes List<Property Map> - List of interface members in this pool.
- subnet String
- The name of the subnet.
GetNetworkpoolNetworkPoolsDetailIface
GetNetworkpoolNetworkPoolsDetailRange
GetNetworkpoolNetworkPoolsDetailStaticRoute
Package Details
- Repository
- powerscale dell/terraform-provider-powerscale
- License
- Notes
- This Pulumi package is based on the
powerscaleTerraform Provider.
Viewing docs for powerscale 1.8.1
published on Wednesday, Apr 1, 2026 by dell
published on Wednesday, Apr 1, 2026 by dell
